Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
balances
List Balances
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/balances \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-0c0d-7915-84b9-e497bfee9916",
      "organizationId": "019c96a0-0a98-7287-9a31-786e0809c769",
      "ledgerId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a",
      "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081",
      "alias": "customer-brl-1",
      "key": "default",
      "assetCode": "BRL",
      "available": "1000",
      "onHold": "0",
      "version": 1,
      "accountType": "deposit",
      "allowSending": true,
      "allowReceiving": true,
      "createdAt": "2026-02-25T21:06:37.197596Z",
      "updatedAt": "2026-02-25T21:06:38.420934Z",
      "deletedAt": null
    }
  ],
  "next_cursor": "string",
  "limit": "10"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Content-Type
string

The type of media of the resource. Recommended value is application/json.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

organization_id
string
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
required

The unique identifier of the associated Ledger.

Query Parameters

limit
string
required

The maximum number of items to include in the response.

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
enum<enum>

The order used to sort the results.

Available options:
asc,
desc
cursor
string

The position in a dataset where the next page of results should start.

Response

Indicates that the request was successful and the response contains the expected data.

items
object[]
next_cursor
string

The position in a dataset of next page of results.

limit
integer

The maximum number of items included in the response.